PHP 7 Support?

Discussion in 'Installation, Upgrade, and Import Support' started by IvyCat, Feb 10, 2016.

Tags:
  1. IvyCat

    IvyCat New Member

    Joined:
    Aug 27, 2011
    Messages:
    5
    Likes Received:
    2
    Hi Guys,

    Does ClientExec currently support/run on PHP 7 or HHVM? Any testing with either?

    I've done some quick tests with PHP 7 that have resulted in errors, but that could be related to IonCube in that version of PHP on my server.

    Thanks!
     
    #1
    shahidi likes this.
  2. CE-Matt

    CE-Matt Administrator Staff Member

    Joined:
    Aug 27, 2011
    Messages:
    1,571
    Likes Received:
    274
    We have not done extensive tests with PHP7, but I do have a QA environment that is running on PHP7, and so far we haven't ran into any issues (although once again, we haven't done a full work up of tests). Version 5.4.0 did move away from the old mysql_* style functions to MySQLi, since mysql_* was removed in PHP7.

    According to https://www.ioncube.com/loaders/support_comparison.php they don't have a loader with PHP 7 support yet, I'm guessing your errors would have to do with that.

    If you want to hop into our slack room sometime (http://slack.clientexec.rocks) and ping me, I can look at anything you have and see what's going on.
     
    #2
  3. IvyCat

    IvyCat New Member

    Joined:
    Aug 27, 2011
    Messages:
    5
    Likes Received:
    2
    Hey Matt,

    Thanks for the speedy response.

    According to https://www.ioncube.com/loaders/support_comparison.php they don't have a loader with PHP 7 support yet, I'm guessing your errors would have to do with that.​

    I think you're exactly right. In fact, I can quickly switch it to PHP 7 and log the error for you and am happy to chat in Slack, but if there's no ioncube support, PHP7 probably isn't an option yet, right?
     
    #3

Share This Page